<?php
/**
 * 
 * @package 	personaldata
 * @version 	$Id: 0.0.1$
 * @copyright 	PrimeLife Project, TU Dresden, Lehrstuhl Datenschutz und Datensicherheit
 * @author 		richard.wolsch@gmx.de
 * @license		GPL 2 
 *
 */

	/**
	 * @ignore
	 */
	if (!defined('IN_PHPBB'))
	{
		exit;
	}

	if (!$phpbb_root_path)
	{
		$phpbb_root_path = '';	
	}
	$mod_path = 'includes/personaldata/';
	$phpEx = 'php';
 
	include_once($phpbb_root_path.$mod_path.'system.'.$phpEx);
	include_once($phpbb_root_path.$mod_path.'location.'.$phpEx);
	include_once($phpbb_root_path.$mod_path.'profile.'.$phpEx);
	include_once($phpbb_root_path.$mod_path.'activities.'.$phpEx);

	/**
	 * Load all data needed for personaldata mod
	 */
	function load_privacy_info(){
		
		global $template, $user;
		
		// number of latest activities
		$max_activities		= 5;
		
		// this page with session id and without "mini"-Argument
		$this_page = $_SERVER['REQUEST_URI'];
		if(strpos($this_page, "?") === false)
			$this_page .= "?";
		$this_page = preg_replace("/&*mini=(pai)/i", '', $this_page);
		$this_page = preg_replace("/&*sid=[a-f0-9]*/i", '', $this_page);
		$this_page = append_sid($this_page, false, true, $user->session_id);
		
		// get data
		$browser 			= priv_get_browser();
		$opsystem 			= priv_get_opsystem();
		$location			= priv_get_location();
		$profile 			= priv_get_rand_profile();
		$latest_activities	= priv_get_latest_activities($max_activities);
		$old_activity		= priv_get_rand_activity($max_activities+5);
		$show_activities	= priv_get_show_activities();
		
		// start session?
		if(empty($_SESSION))
			session_start();
			
		// show boxes?
		$show_box = $_SESSION['phpbb3_pai_show'];
		$minimize = request_var('mini','');
		if(!empty($minimize)){
			if($minimize == 'pai'){
				$show_box = isset($_SESSION['phpbb3_pai_show']) ? (!$_SESSION['phpbb3_pai_show']) : false;
				$_SESSION['phpbb3_pai_show'] = $show_box;
			}
		}		
		
		// set template variables		
		$template->assign_vars(array(
				'P_BROWSER_ICON'		=> $browser['ICON'],
				'P_BROWSER_TITLE'		=> $browser['NAME'],
				'P_SYSTEM_ICON'			=> $opsystem['ICON'],
				'P_SYSTEM_TITLE'		=> $opsystem['NAME'],
				'P_LOCATION_FLAG'		=> $location['FLAG'],
				'P_LOCATION_CITY'		=> $location['CITY'],
				'P_LOCATION_COUNTRY'	=> $location['COUNTRY'],
				'P_LOCATION_PROVIDER'	=> $location['PROVIDER'],
				'P_SYSTEM_LINK'			=> append_sid('includes/personaldata/about.php#location', false, true, $user->session_id),				
				'P_PROFILE_TEXT'		=> str_replace('VALUE', $profile['VALUE'], $user->lang['PRIV_PROFILE_'.mb_strtoupper($profile['KEY'], 'UTF-8')]),
				'P_PROFILE_TITLE'		=> $user->lang['PRIV_VISIBILITY_'.mb_strtoupper($profile['VISIBILITY'], 'UTF-8')],
				'P_PROFILE_INFO'		=> $user->lang['PRIV_VISIBILITY_'.mb_strtoupper($profile['VISIBILITY'], 'UTF-8').'_SHORT'],
				'P_PROFILE_LINK'		=> $profile['LINK'],
				'P_PROFILE_VISIBILITY'	=> $profile['VISIBILITY'],
				'P_PROFILE_SHOW'		=> $profile['SHOW'],
				'P_ACTIVITY_SHOW'		=> $show_activities,
				'P_ACTIVITY_O_SHOW'		=> $old_activity['SHOW'],
				'P_ACTIVITY_O_TITLE'	=> $user->lang['PRIV_VISIBILITY_'.mb_strtoupper($old_activity['VISIBILITY'], 'UTF-8')],
				'P_ACTIVITY_O_INFO'		=> $user->lang['PRIV_VISIBILITY_'.mb_strtoupper($old_activity['VISIBILITY'], 'UTF-8').'_SHORT'],
				'P_ACTIVITY_O_VISIBILITY' => $old_activity['VISIBILITY'],
				'P_SHOW'				=> isset($show_box) ? $show_box : true,
				'P_MINIMIZE'			=> $this_page.'&amp;mini=pai',
		));
		
		// set template variables for latest activities
		for($i=0; $i<$max_activities; $i++){
			$template->assign_vars(array(
					'P_ACTIVITY_'.$i.'_SHOW'	=> isset($latest_activities[$i])
			));
			if(isset($latest_activities[$i])){
				// generate text, replace ARGs
				$text = $user->lang['PRIV_ACTIVITY_'.$latest_activities[$i]['ID']];
				$j = 1;
				while(isset($latest_activities[$i]['ARG'.$j])){
				    $text = str_replace('ARG'.$j.'SID', append_sid($latest_activities[$i]['ARG'.$j], false, true, $user->session_id), $text);
					$text = str_replace('ARG'.$j, $latest_activities[$i]['ARG'.$j], $text);
					$j++;
				}
				
				// generate time difference
				$timediff_int = time() - $latest_activities[$i]['DATE'];
				$timediff = 'invalid';
				switch(TRUE) {
				    case ($timediff_int >= 0 && $timediff_int <= 90):
				        $timediff = '1&#x202F;'.$user->lang['PRIV_TIME_MINUTE'];
				        break;				 
				    case ($timediff_int > 90 && $timediff_int < (60*60)):
				        $timediff = (floor($timediff_int/60) + 1).'&#x202F;'.$user->lang['PRIV_TIME_MINUTES'];
				        break;				 
				    case ($timediff_int >= (60*60) && $timediff_int < (90*60)):
				        $timediff = '1&#x202F;'.$user->lang['PRIV_TIME_HOUR'];
				        break;			 
				    case ($timediff_int >= (90*60) && $timediff_int < (24*60*60)):
				        $timediff = (floor($timediff_int/(60*60)) + 1).'&#x202F;'.$user->lang['PRIV_TIME_HOURS'];
				        break;				 
				    case ($timediff_int >= (24*60*60) && $timediff_int < (36*60*60)):
				        $timediff = '1&#x202F;'.$user->lang['DAY'];
				        break;
				    default:
				        $timediff = (floor($timediff_int/(24*60*60)) + 1).'&#x202F;'.$user->lang['PRIV_TIME_DAYS'];				     
				    break;
				}				
				
				// set template data
				$template->assign_vars(array(
						'P_ACTIVITY_'.$i.'_TEXT'		=> str_replace(array(
								'TEXT',
								'TIME'
						), 
						array(
								$text,
								$timediff
						), $user->lang['PRIV_ACTIVITY_TEXT']),
						'P_ACTIVITY_'.$i.'_VISIBILITY'	=> $latest_activities[$i]['VISIBILITY'],
						'P_ACTIVITY_'.$i.'_TITLE'	=> $user->lang['PRIV_VISIBILITY_'.mb_strtoupper($latest_activities[$i]['VISIBILITY'], 'UTF-8')],
						'P_ACTIVITY_'.$i.'_INFO'	=> $user->lang['PRIV_VISIBILITY_'.mb_strtoupper($latest_activities[$i]['VISIBILITY'], 'UTF-8').'_SHORT'],
				));
			}
		}
		
		// generate text for old activity, replace ARGs
		$text = $user->lang['PRIV_ACTIVITY_'.$old_activity['ID']];
		$j = 1;
		while(isset($old_activity['ARG'.$j])){
		    $text = str_replace('ARG'.$j.'SID', append_sid($latest_activities[$i]['ARG'.$j], false, true, $user->session_id), $text);
			$text = str_replace('ARG'.$j, $old_activity['ARG'.$j], $text);
			$j++;
		}
		
		$template->assign_vars(array(
				'P_ACTIVITY_O_TEXT'		=> str_replace(array(
						'TEXT',
						'DATE'
				), 
				array(
						$text,
						date($user->data['user_dateformat'], $old_activity['DATE'])
				), $user->lang['PRIV_OLD_ACTIVITY_TEXT'])
		));
	}

?>
