<?php
/**
 * 
 * @package 	personaldata
 * @version 	$Id: system.php 1 2010-02-19$
 * @copyright 	PrimeLife Project, TU Dresden, Lehrstuhl Datenschutz und Datensicherheit
 * @author 		richard.wolsch@gmx.de
 * @license 	http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */

	/**
	 * @ignore
	 */
	if (!defined('IN_PHPBB'))
	{
		exit;
	}

	/**
	 * Retrieves the browser from the user-agent.
	 * @return array browser
	 */
	function priv_get_browser()
	{
		global $user;
		$browser = array();
		if(empty($user->data['session_browser'])){
			$browser['ICON'] 		= 'priv_browser_none.png';
			$browser['NAME'] 		= $user->lang['PRIV_NOT_DETECTABLE'];
			return $browser;
		}

		// set default result
		$browser['ICON'] 		= 'priv_browser_unknown.png';
		$browser['NAME'] 		= $user->lang['PRIV_UNKNOWN'];

		// initialize browser identifier strings – Sorting is essential!
		$browserstrings = array(
			'Epiphany'			=> 'Epiphany',		// must be before Safari and Firefox
			'Opera'				=> 'Opera',			// must be before MSIE and Firefox
			'Iceweasel'			=> 'Iceweasel',		// must be before Firefox
			'Chrome'			=> 'Chrome',		// must be before Safari
			'Firefox'			=> 'Firefox',
			'Internet Explorer'	=> 'MSIE',
			'Konqueror'			=> 'Konqueror',
			'Safari'			=> 'Safari'
		);	
		
		// search for browser identifier string in user agent
		foreach($browserstrings as $name => $identifier){
			if(strpos($user->data['session_browser'], $identifier) !== false){
				$browser['NAME']	= $name;
				$browser['ICON']	= 'priv_browser_'.str_replace(" ", "_", mb_strtolower($name, 'UTF-8')).'.png';
			}
		}
		
		return $browser;
	}

	/**
	 * Retrieves the operating system from the user-agent.
	 * @return array operating system
	 */
	function priv_get_opsystem()
	{
		global $user;
		$opsystem = array();
		if(empty($user->data['session_browser'])){
			$opsystem['ICON'] 		= 'priv_os_none.png';
			$opsystem['NAME'] 		= $user->lang['PRIV_NOT_DETECTABLE'];
			return $opsystem;
		}

		// set default result
		$opsystem['ICON'] 		= 'priv_os_unknown.png';
		$opsystem['NAME'] 		= $user->lang['PRIV_UNKNOWN'];

		// initialize system identifier strings
		$opsystemstrings = array(
			'Microsoft Windows XP' 	=> 'Windows NT 5.1',
			'Microsoft Windows XP'	=> 'Windows NT 5.2',
			'Microsoft Windows Vista'=> 'Windows NT 6.0',
			'Microsoft Windows 7'	=> 'Windows NT 6.1',
			'Microsoft Windows'		=> 'Windows',
			'Gentoo'				=> 'Gentoo',
			'Fedora'				=> 'Fedora',
			'SUSE'					=> 'SUSE',
			'Kubuntu'				=> 'Kubuntu',
			'Ubuntu'				=> 'Ubuntu',
			'Debian'				=> 'Debian',
			'Linux'					=> 'Linux',
			'Linux'					=> 'X11',
			'Solaris'				=> 'SunOS',
			'NetBSD'				=> 'NetBSD',
			'BSD'					=> 'BSD',
			'Apple Mac OS X'		=> 'Mac OS X',
			'Apple Macintosh'		=> 'Macintosh'
		);	
		
		// search for system identifier string in user agent
		foreach($opsystemstrings as $name => $identifier){
			if(strpos($user->data['session_browser'], $identifier) !== false){
				$opsystem['NAME']	= $name;
				$opsystem['ICON']	= 'priv_os_'.str_replace(" ", "_", mb_strtolower($name, 'UTF-8')).'.png';
			}
		}
		
		return $opsystem;
	}
?>
