<?php
/**
 *
 * personaldata [German]
 *
 * @package 	language
 * @version 	$Id: 0.0.1$
 * @copyright 	PrimeLife Project, TU Dresden, Lehrstuhl Datenschutz und Datensicherheit
 * @author 		richard.wolsch@gmx.de
 * @license		GPL 2 
 *
 */

/**
 * Create lang array if needed or exit.
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

	$lang = array_merge($lang, array(
		'PRIV_NOT_LOGGED_IN'					=> 'Du bist nicht angemeldet.',
		'PRIV_TITLE'							=> 'Privatsphäre und Sichtbarkeit deiner Daten',
		'PRIV_MINIMIZE'							=> 'Privatsphären-Anzeige verbergen',
		'PRIV_MAXIMIZE'							=> 'Privatsphären-Anzeige anzeigen',
		'PRIV_PROFILE_INFORMATION'				=> 'Das bist du',
		'PRIV_SYSTEM_CHARACTERISTICS'			=> 'Woher du kommst',
		'PRIV_ACTIVITIES'						=> 'Was du machst',
		'PRIV_SYSTEM'							=> 'Betriebssystem | Browser:',
		'PRIV_PROVIDER'							=> 'Internetanbieter:',
		'PRIV_LOCATION'							=> 'Standort',
		'PRIV_UNKNOWN'							=> 'Unbekannt',
		'PRIV_LOCATION_UNKNOWN'                 => 'Dein genauer Standort ist nicht öffentlich bekannt.',
		'PRIV_NOT_DETECTABLE'					=> 'nicht detektierbar',
		'PRIV_POPUP'							=> 'Öffnet ein neues Fenster.',
		'PRIV_SYSTEM_HINT'						=> 'Woher das Forum diese Daten kennt…',
		'PRIV_PROFILE_EDIT'						=> 'Profildaten bearbeiten…',
		'PRIV_VISIBILITY_DANGER'				=> 'Diese Daten sind für alle Gäste des Forums sichtbar. Dies umfasst alle Internetbenutzer und den Forenbetreiber.',
		'PRIV_VISIBILITY_DANGER_SHORT'			=> 'Alle Gäste',
		'PRIV_VISIBILITY_MEDIUM'				=> 'Diese Daten sind für registrierte Benutzer sichtbar. Unter Umständen sind sie nur für eine Gruppe von Benutzern sichtbar. Bedenke aber, dass sich jeder registrieren und Mitglied dieser Gruppe werden kann.',
		'PRIV_VISIBILITY_MEDIUM_SHORT'			=> 'Registrierte Benutzer',
		'PRIV_VISIBILITY_SINGLE'				=> 'Diese Daten sind für Sender und Empfänger einer Nachricht sichtbar, nicht aber für andere Benutzer. Natürlich sieht auch der Forenbetreiber die Daten.',
		'PRIV_VISIBILITY_SINGLE_SHORT'			=> 'Kommunikationspartner',
		'PRIV_VISIBILITY_SAFE'					=> 'Diese Daten sind nur für den Forenbetreiber sichtbar, nicht aber für andere Benutzer.',
		'PRIV_VISIBILITY_SAFE_SHORT'			=> 'Forenbetreiber',
		'PRIV_PROFILE_REGISTRATION_DATE'		=> 'Du hast dich am VALUE registriert.',
		'PRIV_PROFILE_LAST_VISIT_DATE'			=> 'Dein letzter Besuch war am VALUE.',
		'PRIV_PROFILE_SESSION_START_DATE'		=> 'Du hast dich VALUE eingeloggt.',
		'PRIV_PROFILE_NUMBER_OF_POSTS'			=> 'Du hast VALUE Einträge hinterlassen.',
		'PRIV_PROFILE_EMAIL'					=> 'Deine E-Mail-Adresse ist VALUE.',
		'PRIV_PROFILE_BIRTHDAY'					=> 'Dein Geburtstag ist am VALUE.',
		'PRIV_PROFILE_LAST_POST_DATE'			=> 'Dein letzter Eintrag stammt vom VALUE.',
		'PRIV_PROFILE_LOCATION'					=> 'Du wohnst in VALUE.',
		'PRIV_PROFILE_ICQ'						=> 'Deine ICQ-Nummer ist VALUE.',
		'PRIV_PROFILE_AIM'						=> 'Deine AIM-ID ist VALUE.',
		'PRIV_PROFILE_YIM'						=> 'Deine Yahoo-ID ist VALUE.',
		'PRIV_PROFILE_MSNM'						=> 'Deine MSN-ID ist VALUE.',
		'PRIV_PROFILE_JABBER'					=> 'Deine Jabber-ID ist VALUE.',
		'PRIV_PROFILE_WEBSITE'					=> 'Deine Homepage ist <a href="VALUE">VALUE</a>.',
		'PRIV_PROFILE_OCCUPATION'				=> 'Du beschäftigst dich mit VALUE.',
		'PRIV_PROFILE_INTERESTS'				=> 'Du interessiertst dich für VALUE.',
		'PRIV_PROFILE_ONLINE_STATE'				=> 'Dein Online-Status ist VALUE.',
		'PRIV_PROFILE_UNKNOWN'					=> 'Keine Profildaten verfügbar. Gratulation!',
		'PRIV_PROFILE_VISIBLE'					=> 'sichtbar',
		'PRIV_PROFILE_INVISIBLE'				=> 'unsichtbar',
		'PRIV_OLD_ACTIVITY_TEXT'				=> 'TEXT am DATE',
		'PRIV_ACTIVITY_TEXT'					=> 'TEXT (vor TIME)',
		'PRIV_ACTIVITY_NONE'					=> 'Willkommen bei phpBB!<br/>Bis jetzt sind keine Aktivitäten verfügbar.',
		'PRIV_ACTIVITY_UNKNOWN'					=> 'Daten nicht vorhanden. Argumente: ARG1, ARG2, ARG3, ARG4, ARG5, ARG6',
		'PRIV_ACTIVITY_TOPIC_READ'				=> 'Lesen in „<a href="ARG1SID">ARG2</a>“',
		'PRIV_ACTIVITY_TOPIC_WRITE_ALL'			=> 'Beitrag zu „<a href="ARG1SID">ARG2</a>“ hinterlassen',
		'PRIV_ACTIVITY_TOPIC_WRITE_GROUP'		=> 'Beitrag zu „<a href="ARG1SID">ARG2</a>“ hinterlassen',
		'PRIV_ACTIVITY_TOPIC_RW_ALL'			=> 'Lesen und Antworten in „<a href="ARG1SID">ARG2</a>“',
		'PRIV_ACTIVITY_TOPIC_RW_GROUP'			=> 'Lesen und Antworten in „<a href="ARG1SID">ARG2</a>“',
		'PRIV_ACTIVITY_POST_SAVE'				=> 'Antwort auf „<a href="ARG1SID">ARG2</a>“ schreiben',
		'PRIV_ACTIVITY_PRIVATE_MESSAGE_READ'	=> 'Private Nachricht „<a href="ARG1SID">ARG2</a>“ lesen',
		'PRIV_ACTIVITY_PRIVATE_MESSAGE_WRITE'	=> 'Private Nachricht „<a href="ARG1SID">ARG2</a>“ versenden',
		'PRIV_ACTIVITY_PRIVATE_MESSAGE_SAVE'	=> 'Private Nachricht „<a href="ARG1SID">ARG2</a>“ schreiben',
		'PRIV_TIME_MINUTE'						=> 'Minute',
		'PRIV_TIME_MINUTES'						=> 'Minuten',
		'PRIV_TIME_HOUR'						=> 'Stunde',
		'PRIV_TIME_HOURS'						=> 'Stunden',
		'PRIV_TIME_DAY'							=> 'Tag',
		'PRIV_TIME_DAYS'						=> 'Tage',
		
		// countries may be translated – if no translation is available
		// location.php will automatically use the English name 
		'PRIV_GERMANY'							=> 'Deutschland',
		'PRIV_AUSTRIA'							=> 'Österreich',
		'PRIV_SWIZERLAND'						=> 'Schweiz',
		'PRIV_UNITED_STATES'					=> 'USA',
		'PRIV_UNITED_KINGDOM'					=> 'Vereinigtes Königreich',
		'PRIV_FRANCE'							=> 'Frankreich',

		'PRIV_ABOUT_TITLE'						=> 'Personal data visibility – Über dieses MOD',
		'PRIV_ABOUT_ABOUT_Q'					=> 'Was ist das?',
		'PRIV_ABOUT_ABOUT_A'					=> 'Ziel dieses MODs ist es dem Nutzer privatsphärenbezogene Daten anzuzeigen.<br/><br/>' .
				'Autor: Richard Wolsch (<a href="http://koloradokaefer.de/" target="_blank">koloradokaefer.de</a>), 2010<br/>' .
				'E-Mail: personaldatamod (at) koloradokaefer.de<br/>' .
				'Lizenz: <a href="http://opensource.org/licenses/gpl-2.0.php" target="_blank">GPL2</a><br/><br/>' .
				'Dieses MOD ist Teil des <a href="http://www.primelife.eu/">PrimeLife-Projekts</a> an der <a href="http://www.inf.tu-dresden.de/index.php?node_id=442" target="_blank">Technischen Universität Dresden</a>',
		'PRIV_ABOUT_VISIBILITY_Q'				=> 'Was bedeuten die Augen-Piktogramme?',
		'PRIV_ABOUT_VISIBILITY_A'				=> 'Die Augen symbolisieren die Sichtbarkeit der angezeigten Daten. Die Daten können sichtbar sein<br/>' .
				'<ul style="margin: 5px 20px;"><li style="list-style-type: none;"><span class="priv_state_safe">nur für den Betreiber des Forums,</span></li>' .
				'<li style="list-style-type: none;"><span class="priv_state_single">nur für den Betreiber und direkte Kommunikationspartner,</span></li>' .
				'<li style="list-style-type: none;"><span class="priv_state_medium">nur für den Betreiber und alle Mitglieder des Forums oder</span></li>' .
				'<li style="list-style-type: none;"><span class="priv_state_danger">für den Betreiber, alle Mitglieder und alle Gäste des Forums.</span></li></ul>' .
				'Weitere Informationen erhältst du, wenn du die Maus auf das Piktogramm bewegst. Aber Vorsicht, im Falle eines Sicherheitslecks können natürlich alle Daten öffentlich werden, die du hier hinterlässt.',	
		'PRIV_ABOUT_LOCATION_Q'					=> 'Woher kennt phpBB meinen aktuellen Standort?',
		'PRIV_ABOUT_LOCATION_A'					=> 'Die IP-Adresse ist ein eindeutiger Identifikator, welchen dein Internet-Service-Provider (ISP) deinem Rechner zuteilt. Sie wird jedes mal, wenn sich dein Rechner mit einem anderen Rechner im Internet verbindet (z.&nbsp;B. dem phpBB-Forum), übertragen. Mit Kenntnis deiner IP-Adresse ist es möglich deinen Aufenthaltsort („Geolokalisierung“) und deinen ISP zu bestimmen. Die folgenden Artikel bei Wikipedia könnten für dich nützlich sein:' .
				'<ul style="margin: 5px 20px;"><li><a href="http://en.wikipedia.org/w/index.php?oldid=346082340" target="_blank">Geolocation software</a></li>' .
				'<li><a href="http://en.wikipedia.org/w/index.php?oldid=345778047" target="_blank">IP address</a></li></ul>' .
				'Um deinen Standort zu verbergen, kannst du einen Anonymisierungsdienst, wie zum Beispiel <a href="http://anonymous-proxy-servers.net/en/" target="_blank">JAP/JonDo</a> oder jeden anderen Proxy-Server nutzen.',
		'PRIV_ABOUT_SYSTEM_Q'					=> 'Woher kennt phpBB meinen Browser und mein Betriebssystem?',
		'PRIV_ABOUT_SYSTEM_A'					=> 'Wenn du eine Internetseite ansehen möchtest, dann sendet dein Internetbrowser eine Anfrage an den Rechner (Server), auf dem die Internetseite gespeichert ist. Diese Anfrage enthält die Adresse der Internetseite und einige Angaben über das System auf deinem Rechner. Letzteres nennt man „User-Agent“. Es soll dem Server ermöglichen, Daten passend zu deinem System zurückzusenden. Die folgenden Artikel bei Wikipedia könnten für dich nützlich sein:' .
				'<ul style="margin: 5px 20px;"><li><a href="http://en.wikipedia.org/w/index.php?oldid=344183175" target="_blank">List of HTTP-Headers</a></li>' .
				'<li><a href="http://en.wikipedia.org/w/index.php?oldid=343404196" target="_blank">User agent</a></li></ul>' .
				'Um diese Information zu verstecken, musst du diese Header-Daten auf irgendwelche Standardwerte ändern. Das Addon <a href="https://addons.mozilla.org/de/firefox/addon/967" target="_blank">Modify Headers</a> ermöglicht dies für Firefox.',
		'PRIV_ABOUT_CLOSE'						=> 'Schließen',
	));

?>
