<?php
/**
 *
 * personaldata [English]
 *
 * @package language
 * @version $Id: 0.0.1$
 * @copyright 	PrimeLife Project, TU Dresden, Lehrstuhl Datenschutz und Datensicherheit
 * @author 		richard.wolsch@gmx.de
 * @license		GPL 2 
 *
 */

/**
 * Create lang array if needed or exit.
 */
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

	$lang = array_merge($lang, array(
		'PRIV_NOT_LOGGED_IN'					=> 'You are not logged in.',
		'PRIV_TITLE'							=> 'Privacy and visibility of your data',
		'PRIV_MINIMIZE'							=> 'Hide privacy display',
		'PRIV_MAXIMIZE'							=> 'Show privacy display',
		'PRIV_PROFILE_INFORMATION'				=> 'That’s you',
		'PRIV_SYSTEM_CHARACTERISTICS'			=> 'That’s where you are',
		'PRIV_ACTIVITIES'						=> 'That’s what you did',
		'PRIV_SYSTEM'							=> 'Operating system | Browser:',
		'PRIV_PROVIDER'							=> 'Internet provider:',
		'PRIV_LOCATION'							=> 'Location:',	
		'PRIV_UNKNOWN'							=> 'unknown',
		'PRIV_LOCATION_UNKNOWN'                 => 'Your exact location is not publicly known.',		
		'PRIV_NOT_DETECTABLE'					=> 'not detectable',
		'PRIV_POPUP'							=> 'Opens in a new window.',
		'PRIV_SYSTEM_HINT'						=> 'How the board knows this data…',
		'PRIV_PROFILE_EDIT'						=> 'Edit profile data…',
		'PRIV_VISIBILITY_DANGER'				=> 'This data is accessible for all guests of the board. This includes all internet users and the board provider.',
		'PRIV_VISIBILITY_DANGER_SHORT'			=> 'Anyone',
		'PRIV_VISIBILITY_MEDIUM'				=> 'This data is accessible for registered users. May be it is visible for a small group of registered users only. Be aware that possibly anyone may become a registered user or a member of this group.',
		'PRIV_VISIBILITY_MEDIUM_SHORT'			=> 'Registered users',
		'PRIV_VISIBILITY_SINGLE'				=> 'This data is accessible for sender and reciver of a message, but not for other users. Of course it is visible for the board provider, too.',
		'PRIV_VISIBILITY_SINGLE_SHORT'			=> 'Communication partner',
		'PRIV_VISIBILITY_SAFE'					=> 'This data is accessible for the board provider, but not for other users.',
		'PRIV_VISIBILITY_SAFE_SHORT'			=> 'Board provider',
		'PRIV_PROFILE_REGISTRATION_DATE'		=> 'You registered on VALUE.',
		'PRIV_PROFILE_LAST_VISIT_DATE'			=> 'Your last visit was on VALUE.',
		'PRIV_PROFILE_SESSION_START_DATE'		=> 'You logged in at VALUE.',
		'PRIV_PROFILE_NUMBER_OF_POSTS'			=> 'You posted VALUE times.',
		'PRIV_PROFILE_EMAIL'					=> 'Your e-mail is VALUE.',
		'PRIV_PROFILE_BIRTHDAY'					=> 'Your birthday is VALUE.',
		'PRIV_PROFILE_LAST_POST_DATE'			=> 'Your last post was on VALUE.',
		'PRIV_PROFILE_LOCATION'					=> 'You live in VALUE.',
		'PRIV_PROFILE_ICQ'						=> 'Your ICQ number is VALUE.',
		'PRIV_PROFILE_AIM'						=> 'Your AIM-ID is VALUE.',
		'PRIV_PROFILE_YIM'						=> 'Your Yahoo-ID is VALUE.',
		'PRIV_PROFILE_MSNM'						=> 'Your MSN-ID is VALUE.',
		'PRIV_PROFILE_JABBER'					=> 'Your Jabber-ID is VALUE.',
		'PRIV_PROFILE_WEBSITE'					=> 'Your Website is <a href="VALUE">VALUE</a>.',
		'PRIV_PROFILE_OCCUPATION'				=> 'You engage in VALUE.',
		'PRIV_PROFILE_INTERESTS'				=> 'You are interested in VALUE.',
		'PRIV_PROFILE_ONLINE_STATE'				=> 'Your online state is VALUE.',
		'PRIV_PROFILE_UNKNOWN'					=> 'No profile data available. Congratulations!',
		'PRIV_PROFILE_VISIBLE'					=> 'visible',
		'PRIV_PROFILE_INVISIBLE'				=> 'not visible',
		'PRIV_OLD_ACTIVITY_TEXT'				=> 'TEXT on DATE',
		'PRIV_ACTIVITY_TEXT'					=> 'TEXT (TIME ago)',
		'PRIV_ACTIVITY_NONE'					=> 'Welcome to phpBB!<br/>There are no activities to display until now.',
		'PRIV_ACTIVITY_UNKNOWN'					=> 'No data availbale. Arguments: ARG1, ARG2, ARG3, ARG4, ARG5, ARG6',
		'PRIV_ACTIVITY_TOPIC_READ'				=> 'Reading in “<a href="ARG1SID">ARG2</a>”',
		'PRIV_ACTIVITY_TOPIC_WRITE_ALL'			=> 'Posting in “<a href="ARG1SID">ARG2</a>”',
		'PRIV_ACTIVITY_TOPIC_WRITE_GROUP'		=> 'Posting in “<a href="ARG1SID">ARG2</a>”',
		'PRIV_ACTIVITY_TOPIC_RW_ALL'			=> 'Posting reply on “<a href="ARG1SID">ARG2</a> after reading in this topic”',
		'PRIV_ACTIVITY_TOPIC_RW_GROUP'			=> 'Posting reply on “<a href="ARG1SID">ARG2</a>” after reading in this topic',
		'PRIV_ACTIVITY_POST_SAVE'				=> 'Writing reply on “<a href="ARG1SID">ARG2</a>”',
		'PRIV_ACTIVITY_PRIVATE_MESSAGE_READ'	=> 'Reading PM “<a href="ARG1SID">ARG2</a>”',
		'PRIV_ACTIVITY_PRIVATE_MESSAGE_WRITE'	=> 'Sending PM “<a href="ARG1SID">ARG2</a>”',
		'PRIV_ACTIVITY_PRIVATE_MESSAGE_SAVE'	=> 'Writing PM “<a href="ARG1SID">ARG2</a>”',
		'PRIV_TIME_MINUTE'						=> 'minute',
		'PRIV_TIME_MINUTES'						=> 'minutes',
		'PRIV_TIME_HOUR'						=> 'hour',
		'PRIV_TIME_HOURS'						=> 'hours',
		'PRIV_TIME_DAY'							=> 'day',
		'PRIV_TIME_DAYS'						=> 'days',
		
		// countries may be translated – if no translation is available
		// location.php will automatically use the English name 
		'PRIV_GERMANY'							=> 'Germany',
		'PRIV_UNITED_STATES'					=> 'USA',
		
		'PRIV_ABOUT_TITLE'						=> 'Personal data visibility – About this MOD',
		'PRIV_ABOUT_ABOUT_Q'					=> 'What is Personal data visibility?',
		'PRIV_ABOUT_ABOUT_A'					=> 'The aim of this MOD is to provide information about privacy related data to the user.<br/><br/>' .
				'Author: Richard Wolsch (<a href="http://koloradokaefer.de/" target="_blank">koloradokaefer.de</a>), 2010<br/>' .
				'E-Mail: personaldatamod (at) koloradokaefer.de<br/>' .
				'License: <a href="http://opensource.org/licenses/gpl-2.0.php" target="_blank">GPL2</a><br/><br/>' .
				'This MOD is part of <a href="http://www.primelife.eu/">PrimeLife</a> project at <a href="http://www.inf.tu-dresden.de/index.php?node_id=442" target="_blank">Technische Universität Dresden</a> (Germany)',
		'PRIV_ABOUT_VISIBILITY_Q'				=> 'What about the eye icons?',
		'PRIV_ABOUT_VISIBILITY_A'				=> 'The eye icons symbolize the visibility of the presented data. The data can be visible for<br/>' .
				'<ul style="margin: 5px 20px;"><li style="list-style-type: none;"><span class="priv_state_safe">the board provider only,</span></li>' .
				'<li style="list-style-type: none;"><span class="priv_state_single">the board provider and direct communication partners only,</span></li>' .
				'<li style="list-style-type: none;"><span class="priv_state_medium">the board provider and registered users only or</span></li>' .
				'<li style="list-style-type: none;"><span class="priv_state_danger">the board provider, all registered users and all guests of the board.</span></li></ul>' .
				'The tooltip of each icon has detailed information. Be aware that all data can become public in case of a security breach.',	
		'PRIV_ABOUT_LOCATION_Q'					=> 'How does phpBB know my current location?',
		'PRIV_ABOUT_LOCATION_A'					=> 'The IP address is an unique identifier, which your Internet Service Provider (ISP) assigns to your computer. It is transferred whenever your computer communicates with another computer on the internet (e.&nbsp;g. the phpBB board). Knowing your IP address, it is possible to find out your current location (“geolocation”) and your ISP. The following articles on Wikipedia may be helpful:' .
				'<ul style="margin: 5px 20px;"><li><a href="http://en.wikipedia.org/w/index.php?oldid=346082340" target="_blank">Geolocation software</a></li>' .
				'<li><a href="http://en.wikipedia.org/w/index.php?oldid=345778047" target="_blank">IP address</a></li></ul>' .
				'To hide your location you may use an anonymity network like <a href="http://anonymous-proxy-servers.net/en/" target="_blank">JAP/JonDo</a> or any other proxy server.',
		'PRIV_ABOUT_SYSTEM_Q'					=> 'How does phpBB know my browser and operating system?',
		'PRIV_ABOUT_SYSTEM_A'					=> 'When you want to view a website, your internet browser sends a request to the computer where this site is stored on (server). This request contains the address of the website and some data about your system. The latter is called “user agent”. It should enable the server to deliver content specific to your system. The following articles on Wikipedia may be helpful:' .
				'<ul style="margin: 5px 20px;"><li><a href="http://en.wikipedia.org/w/index.php?oldid=344183175" target="_blank">List of HTTP-Headers</a></li>' .
				'<li><a href="http://en.wikipedia.org/w/index.php?oldid=343404196" target="_blank">User agent</a></li></ul>' .
				'To hide this information you have to change this headers to some standard values. The tool <a href="https://addons.mozilla.org/de/firefox/addon/967" target="_blank">Modify Headers</a> allowes this for Firefox.',
		'PRIV_ABOUT_CLOSE'						=> 'close',
	));

?>
